Skip to navigation

Hold Snapshot

Places a user hold on an Eon snapshot. Snapshots with user holds are protected from removal even if their expiration time passes.

Point-in-time recovery (PiTR) snapshots can’t be placed on hold.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"

ID of the project the snapshot is in. You can get your project ID from the API Credentials page in your global management console.

idstringRequiredformat: "uuid"
ID of the Eon snapshot.

Request

This endpoint expects an object.
descriptionstringOptional<=500 characters
Note explaining why the snapshot is being held. Cleared when the hold is removed.

Response

Hold was placed on the snapshot.

Errors

400
Bad Request Error
404
Not Found Error